slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPProblemType

Determines the type of the polynomial eigenproblem

### Synopsis

    typedef enum { PEP_GENERAL=1,
                   PEP_HERMITIAN,   /* All A_i  Hermitian */
                   PEP_HYPERBOLIC,  /* QEP with Hermitian matrices, M>0, (x'Cx)^2 > 4(x'Mx)(x'Kx) */
                   PEP_GYROSCOPIC   /* QEP with M, K  Hermitian, M>0, C skew-Hermitian */
                 } PEPProblemType;

### See Also

PEPSetProblemType(), PEPGetProblemType()

### Level

intermediate

### Location

include/slepcpep.h

### Examples

src/pep/tutorials/ex16.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
src/pep/tutorials/nlevp/wiresaw.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages